- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgspotlight.cpp File Reference

`#include <osg/Notify>`
`#include <osg/MatrixTransform>`
`#include <osg/ShapeDrawable>`
`#include <osg/PositionAttitudeTransform>`
`#include <osg/Geometry>`
`#include <osg/Texture2D>`
`#include <osg/Geode>`
`#include <osg/LightSource>`
`#include <osg/TexGenNode>`
`#include <osgUtil/Optimizer>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`
`#include "../osghangglide/terrain_coords.h"`

Include dependency graph for osgspotlight.cpp:

## Functions
osg::Image * | createSpotLightImage (const osg::Vec4 &centerColour, const osg::Vec4 &backgroudColour, unsigned int size, float power)
osg::StateSet * | createSpotLightDecoratorState (unsigned int lightNum, unsigned int textureUnit)
osg::Node * | createSpotLightNode (const osg::Vec3 &position, const osg::Vec3 &direction, float angle, unsigned int lightNum, unsigned int textureUnit)
osg::AnimationPath * | createAnimationPath (const osg::Vec3 &center, float radius, double looptime)
osg::Node * | createBase (const osg::Vec3 &center, float radius)
osg::Node * | createMovingModel (const osg::Vec3 &center, float radius)
osg::Node * | createModel ()
int | main (int argc, char **argv)

## Function Documentation

osg::AnimationPath* createAnimationPath | ( | const osg::Vec3 & | center,
|  | float | radius,
|  | double | looptime
| ) |

osg::Node* createBase | ( | const osg::Vec3 & | center,
|  | float | radius
| ) |

osg::Node* createModel | ( |  | ) |

osg::Node* createMovingModel | ( | const osg::Vec3 & | center,
|  | float | radius
| ) |

osg::StateSet* createSpotLightDecoratorState | ( | unsigned int | lightNum,
|  | unsigned int | textureUnit
| ) |

osg::Image* createSpotLightImage | ( | const osg::Vec4 & | centerColour,
|  | const osg::Vec4 & | backgroudColour,
|  | unsigned int | size,
|  | float | power
| ) |

osg::Node* createSpotLightNode | ( | const osg::Vec3 & | position,
|  | const osg::Vec3 & | direction,
|  | float | angle,
|  | unsigned int | lightNum,
|  | unsigned int | textureUnit
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |